Charging Station Models

post

Archive a charging station model

This endpoint archives a charging station model. Only admins are allowed to archive charging station models.

idstring

required

The ID of the charging station model to archive

Responses

Response examples

Success

{
  "data": {
    "id": "string",
    "vendor": "string",
    "model": "string",
    "friendlyName": "string",
    "powerType": "AC_1_PHASE",
    "connectors": [
      {
        "id": 123.0,
        "connectionType": "CHADEMO",
        "format": "CABLE",
        "maxAmperage": 123.0,
        "maxVoltage": 123.0,
        "maxPowerWatts": 123.0
      }
    ],
    "configurationKeys": {
      "ocppUrl": "string"
    },
    "imageUrl": "string",
    "isArchived": true,
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}
get

List all charging station models

This endpoint retrieves a list of all charging station models.

limitstring

The maximum number of charging station models to return

startingAfterstring

The ID of the last charging station model to return

vendorstring

The vendor of the charging station models to return

modelstring

The model of the charging station models to return

isArchivedboolean

Filter by archived status. Defaults to false (only non-archived models).

Default
false

Responses

Response examples

A list of charging station models

{
  "data": {
    "hasMore": true,
    "items": [
      {
        "id": "string",
        "vendor": "string",
        "model": "string",
        "friendlyName": "string",
        "powerType": "AC_1_PHASE",
        "connectors": [
          {
            "id": 123.0,
            "connectionType": "CHADEMO",
            "format": "CABLE",
            "maxAmperage": 123.0,
            "maxVoltage": 123.0,
            "maxPowerWatts": 123.0
          }
        ],
        "configurationKeys": {
          "ocppUrl": "string"
        },
        "imageUrl": "string",
        "isArchived": true,
        "createdAt": "2023-06-07T17:32:28Z",
        "updatedAt": "2023-06-07T17:32:28Z"
      }
    ]
  }
}
post

Create a new charging station model

This endpoint creates a new charging station model. Only admins are allowed to create charging station models.

vendorstring

required

The vendor/manufacturer of the charging station

Max Length
200
modelstring

required

The model name of the charging station

Max Length
200
friendlyNamestring

A user-friendly display name for the model

Max Length
200
powerTypestring

required

The power type of the charging station

Enum
  • AC_1_PHASE
  • AC_3_PHASE
  • DC
connectorsarray

required

List of connectors available on this charging station model

idnumber

required

The connector ID

connectionTypestring

required

The type of connector

Enum
  • CHADEMO
  • IEC_62196_T1
  • IEC_62196_T1_COMBO
  • IEC_62196_T2
  • IEC_62196_T2_COMBO
  • TESLA_R
  • TESLA_S
  • SAE_J3400
formatstring

required

The format of the connector

Enum
  • CABLE
  • SOCKET
maxAmperagenumber

required

Maximum amperage in amps

maxVoltagenumber

required

Maximum voltage in volts

maxPowerWattsnumber

required

Maximum power in watts

configurationKeysobject

required

Configuration keys for the charging station model

ocppUrlstring

required

The OCPP URL configuration key for this model

Max Length
200
imageUrlstring

URL to an image of the charging station model

Max Length
500

Responses

Request examples

{
  "vendor": "string",
  "model": "string",
  "friendlyName": "string",
  "powerType": "AC_1_PHASE",
  "connectors": [
    {
      "id": 123.0,
      "connectionType": "CHADEMO",
      "format": "CABLE",
      "maxAmperage": 123.0,
      "maxVoltage": 123.0,
      "maxPowerWatts": 123.0
    }
  ],
  "configurationKeys": {
    "ocppUrl": "string"
  },
  "imageUrl": "string"
}

Response examples

Success

{
  "data": {
    "id": "string",
    "vendor": "string",
    "model": "string",
    "friendlyName": "string",
    "powerType": "AC_1_PHASE",
    "connectors": [
      {
        "id": 123.0,
        "connectionType": "CHADEMO",
        "format": "CABLE",
        "maxAmperage": 123.0,
        "maxVoltage": 123.0,
        "maxPowerWatts": 123.0
      }
    ],
    "configurationKeys": {
      "ocppUrl": "string"
    },
    "imageUrl": "string",
    "isArchived": true,
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}
get

Get a charging station model by ID

This endpoint retrieves a charging station model by its ID.

idstring

required

The ID of the charging station model to retrieve

Responses

Response examples

Success

{
  "id": "string",
  "vendor": "string",
  "model": "string",
  "friendlyName": "string",
  "powerType": "AC_1_PHASE",
  "connectors": [
    {
      "id": 123.0,
      "connectionType": "CHADEMO",
      "format": "CABLE",
      "maxAmperage": 123.0,
      "maxVoltage": 123.0,
      "maxPowerWatts": 123.0
    }
  ],
  "configurationKeys": {
    "ocppUrl": "string"
  },
  "imageUrl": "string",
  "isArchived": true,
  "createdAt": "2023-06-07T17:32:28Z",
  "updatedAt": "2023-06-07T17:32:28Z"
}
patch

Update a charging station model

This endpoint updates a charging station model. Only the friendlyName field can be updated.

friendlyNamestring

A user-friendly display name for the model

Max Length
200

Responses

Request examples

{
  "friendlyName": "string"
}

Response examples

Success

{
  "data": {
    "id": "string",
    "vendor": "string",
    "model": "string",
    "friendlyName": "string",
    "powerType": "AC_1_PHASE",
    "connectors": [
      {
        "id": 123.0,
        "connectionType": "CHADEMO",
        "format": "CABLE",
        "maxAmperage": 123.0,
        "maxVoltage": 123.0,
        "maxPowerWatts": 123.0
      }
    ],
    "configurationKeys": {
      "ocppUrl": "string"
    },
    "imageUrl": "string",
    "isArchived": true,
    "createdAt": "2023-06-07T17:32:28Z",
    "updatedAt": "2023-06-07T17:32:28Z"
  }
}

Was this page helpful?